﻿#popup {
    position: fixed;
    top: 0;
    left: -100%;
    height: 100vh; /* Full viewport height */
    background-color: #f4f4f4;
    box-shadow: 5px 0 10px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    padding: 10px 0 20px 0;
    margin: 0;
    box-sizing: border-box; /* Include padding in height */
    overflow-y: auto;
}

#popupInner {
    max-height: 90vh;
    text-align: center;
    background-color: #ffffff; /* Background for inner content */
    padding: 20px;
    border-radius: 8px; /* Rounded corners */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    overflow-y: auto; /* Scrolls only if content overflows */
}


#popFooter {
    position: relative;
    height:30px;
    width:100%
}
.scroll-hint {
    text-align: center;
    color: var(--click);
    font-size: 24px;
    opacity: 0;
    transition: opacity 0.3s;
    pointer-events: none;
}

    .scroll-hint.visible {
        opacity: 1;
    }

#aClose {
    text-align:right;
    margin-right: 20px;
    font-weight: bold;
    cursor: pointer;
}